schroedinger (1.0.11-2.1build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 16 Dec 2014 08:54:51 -0800

schroedinger (1.0.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4, necessary for some new ports.  Thanks
    Brahadambal Srinivasan.  (Closes: #753679, #558628)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 01 Aug 2014 22:54:16 +0100

schroedinger (1.0.11-2) unstable; urgency=low

  * Team upload.
  * Convert to Multi-Arch, thanks to
    Miguel A. Colón Vélez. (Closes: #663046)
  * Add Homepage field.
  * Add Vcs-* fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Apr 2012 08:13:53 +0200

schroedinger (1.0.11-1) unstable; urgency=low

  * New upstream release:
    + debian/control:
      - Build-depend on ORC >= 0.4.16.
    + debian/libschroedinger-1.0-0.shlibs,
      debian/libschroedinger-1.0-0.symbols:
      - Update for new API.
  * ACK NMU 1.0.10-2.1, thanks Reinhard Tartler!

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jan 2012 10:59:30 +0100

schroedinger (1.0.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * disable testsuite, Closes: #599095
  * relax debian/libschroedinger-1.0-0.symbols to ignore implementation
    specific internal symbols matching on _orc_.* and _schro_.*, Closes: #625191

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 May 2011 12:19:55 +0200

schroedinger (1.0.10-2) unstable; urgency=low

  * debian/libschroedinger-1.0-0.symbols:
    + Add Build-Depends-Package line.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 11:52:54 +0100

schroedinger (1.0.10-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/01_link-orc.patch,
      debian/patches/02_orc-unaligned-reads.patch:
      - Dropped, merged upstream.
    + debian/control:
      - Require ORC 0.4.10.
    + debian/libschroedinger-1.0-0.symbols:
      - Update with API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Oct 2010 09:35:56 +0200

schroedinger (1.0.9-4) experimental; urgency=low

  * debian/patches/02_orc-unaligned-reads.patch,
    debian/control:
    + Patch from upstream GIT to prevent unaligned reads, which
      caused crashes in orc-generated SSE code. Requires orc >= 0.4.9.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Sep 2010 11:25:27 +0200

schroedinger (1.0.9-3) experimental; urgency=low

  * debian/control:
    + Add epoch to the orc build dependency to get dependencies on
      the correct version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:30:04 +0200

schroedinger (1.0.9-2) unstable; urgency=low

  * debian/control,
    debian/source/format,
    debian/compat,
    debian/patches/*:
    + Use source format 3.0 (quilt).
    + Update debhelper compat level to 7.
    + Update Standards-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Mar 2010 15:13:47 +0100

schroedinger (1.0.9-1) unstable; urgency=low

  * New upstream release:
    + debian/control:
      - Build depend on orc instead of liboil.
    + debian/libschroedinger-1.0-0.symbols,
      debian/libschroedinger-1.0-0.shlibs:
      - Update symbols.
  * debian/patches/01_link-orc.patch:
    + Fix linking against orc/schro.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Mar 2010 21:26:45 +0000

schroedinger (1.0.8-2) unstable; urgency=low

  * debian/control:
    + Build-depend on pkg-config to fix FTBFS.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 Oct 2009 18:49:33 +0200

schroedinger (1.0.8-1) unstable; urgency=low

  * debian/control:
    + Fix package sections.
    + Update Standards-Version to 3.8.3.
    + Line-wrap (Build-) Depends.
    + Update liboil0.3-dev dependency on the -dev package.
    + Move gtk-doc-tools to Build-Depends-Indep.
  * New upstream release:
    + debian/patches/01_gst_adapter_masked_scan_uint32.patch:
      - Dropped, merged upstream.
    + debian/control,
      debian/rules,
      debian/gstreamer0.10-schroedinger.install:
      - Dropped GStreamer plugin, it's now in gstreamer0.10-plugins-bad.
    + debian/libschroedinger-1.0-0.symbols,
      debian/libschroedinger-1.0-0.shlibs:
      - Update for the two new functions.
  * debian/watch:
    + Fix upstream tarball location.
  * 

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 Oct 2009 08:25:38 +0200

schroedinger (1.0.7-2) unstable; urgency=low

  * debian/patches/01_gst_adapter_masked_scan_uint32.patch:
    + Fix build failure with GStreamer 0.10.24 caused by a
      function name conflict (Closes: #539843).
  * debian/control:
    + Update Standards-Version to 3.8.2.
    + Fix package sections.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Aug 2009 15:29:17 +0200

schroedinger (1.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #527525):
    + debian/control:
      - Update build dependencies.
    + debian/libschroedinger-1.0-0.symbols,
      debian/libschroedinger-1.0-0.shlibs:
      - Update for the new version.
  * debian/control:
    + Update Standards-Version to 3.8.1.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 May 2009 08:59:49 +0200

schroedinger (1.0.5-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_pthread-linking.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 21:23:55 +0200

schroedinger (1.0.4-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_schrodec-fixed-caps.patch,
      debian/patches/02_schroparse-create-granulepos.patch,
      debian/patches/03_schroparse-set-buffer-caps.patch,
      debian/patches/04_schroenc-fix-granulepos.patch:
      - Dropped, merged upstream.
    + debian/libschroedinger-1.0-0.shlibs:
      - Updated to >= 1.0.4 because of new symbols.
  * debian/libschroedinger-1.0-0.symbols,
    debian/rules:
    + Add symbols file and fail the build if it differs from reality.
  * debian/patches/01_pthread-linking.patch:
    + Link with -lpthread to prevent unresolved symbols.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 09:53:59 +0200

schroedinger (1.0.3-2) unstable; urgency=low

  * debian/control:
    + Update Standards-Version to 3.8.0, no additional changes needed.
  * debian/patches/01_schrodec-fixed-caps.patch:
    + Use fixed caps on the schrodec src pad.
  * debian/patches/02_schroparse-create-granulepos.patch,
    debian/patches/03_schroparse-set-buffer-caps.patch:
    + Set caps on the output buffers and create granulepos in schroparse.
  * debian/patches/04_schroenc-fix-granulepos.patch:
    + Fix the granulepos calculation to conform to the spec.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Jun 2008 09:39:54 +0200

schroedinger (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Apr 2008 07:34:33 +0200

schroedinger (1.0.2-1) unstable; urgency=low

  * New upstream release:
    + Fixes crash on amd64 (Closes: #468766).
    + debian/patches/01_no-x86-opcodes.patch:
      - Dropped, merged upstream.
    + debian/control:
      - Updated build dependencies.
    + debian/libschroedinger-1.0-0.shlibs:
      - Updated to >= 1.0.2 because of API additions.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Apr 2008 23:16:12 +0200

schroedinger (1.0.1-2) unstable; urgency=low

  * debian/patches/01_no-x86-opcodes.patch:
    + Don't use x86 opcodes, these obviously don't work on non-x86 archs.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 16 Mar 2008 18:26:29 +0100

schroedinger (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_linking.patch:
      - Dropped, merged upstream.
    + debian/libschroedinger-1.0-0.shlibs:
      - Updated to >= 1.0.1 because of API changes.
  * debian/watch:
    + Updated location.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 16 Mar 2008 11:20:23 +0100

schroedinger (1.0.0-1) unstable; urgency=low

  * New upstream release:
    + debian/control,
      debian/libschroedinger-1.0-0.install,
      debian/libschroedinger-1.0-0.shlibs,
      debian/libschroedinger-dev.install,
      debian/rules:
      - Update from libschroedinger-0.9 to libschroedinger-1.0 everywhere.
    + patches/01_bogus-warning.patch:
      - Dropped, not necessary anymore.
    + debian/control:
      - Require liboil >= 0.3.13.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Change section of the documentation package to doc.
  * debian/copyright:
    + Updated.
  * debian/patches/01_linking.patch:
    + Link libschroedinger-1.0 with pthread as it uses it's symbols.
    + Link testsuite with libm as it uses it's symbols.
  * debian/rules,
    debian/patches/99_ltmain_as-needed.patch:
    + Link with -Wl,-z,defs -Wl,-O1 -Wl,--as-needed to remove some unneeded
      dependencies.
  * debian/rules:
    + Run unit test suite but don't fail the build if something fails.
  * debian/control:
    + Add dependencies as required by the pkg-config file and header includes.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 24 Feb 2008 05:45:09 +0100

schroedinger (0.9.0-1) unstable; urgency=low

  * New upstream release:
    + debian/control,
      debian/rules:
      - Update gstreamer0.10 build dependency to >= 0.10.12.
      - Rename library packages from libschroedinger-0.1 to libschroedinger-0.9.
    + debian/control,
      debian/libschroedinger-doc.install:
      - Add a documentation package.
  * debian/rules:
    + Set GST_REGISTRY before the dh_gstscancodecs call to save the registry
      somewhere on buildds without writable home and speed things up a bit.
  * debian/patches/01_bogus-warning.patch:
    + Remove a bogus warning.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Nov 2007 14:43:19 +0100

schroedinger (0.6.1-3) unstable; urgency=low

  * debian/control,
    debian/rules:
    + Call dh_gstinstallcodecs to generate the codecs database.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jul 2007 20:45:20 +0200

schroedinger (0.6.1-2) unstable; urgency=low

  * debian/patches/01_testsuite-identifiers.patch:
    + Don't use $ as identifier in C source files as this break on
      ARM and isn't supported by the C standard anyway (Closes: #433213).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Jul 2007 11:31:38 +0200

schroedinger (0.6.1-1) unstable; urgency=low

  * New upstream release, fixing a memory leak and segfault.
  * debian/README.Debian:
    + Removed as it contains nothing useful anymore.
  * debian/control:
    + Use ${binary:Version} instead of ${Source-Version} to make lintian happy.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Jun 2007 16:07:37 +0200

schroedinger (0.6.0-2) unstable; urgency=low

  * debian/control:
    + Fix section of the library and dev package.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Jun 2007 16:53:39 +0200

schroedinger (0.6.0-1) unstable; urgency=low

  * New upstream release. This is first release that is fully bitstream
    compliant with the Dirac spec and thus goes to unstable.
  * debian/shlibs.local:
    + Removed as the new liboil has the correct shlibs set.
  * debian/control:
    + Depend on liboil0.3-dev (>= 0.3.12) to get the new symbols and the
      shlibs fix.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Jun 2007 16:22:05 +0200

schroedinger (0.5.0.0-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Require liboil0.3-dev >= 0.3.11
  * debian/shlibs.local:
    + Workaround for bug #420577, liboil 0.3.11 introduces some new symbols
      but shlibs are not raised.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Apr 2007 11:48:55 +0200

schroedinger (0.4.0.0-1) experimental; urgency=low

  * Initial version (Closes: #368636)

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Feb 2007 08:46:00 +0100

